STEREO3D(1)

NAME

stereo3d - render a Raster3D scene as a side-by-side stereo pair

SYNOPSIS

   stereo3d [options] [-png [outfile.png ]] < infile.r3d > outfile.png
   stereo3d [options] -tiff [outfile.tiff] < infile.r3d > outfile.tiff

stereo3d is a shell script that renders a single Raster3D input file as a side-by-side stereo pair.

stereo3d uses the Raster3D utilities normal3d and render, and the ImageMagick image processing package. Intermediate scratch files are created in directory TMPDIR, if defined, otherwise in /usr/tmp.

The right eye and left eye views are separately rendered, optionally given black borders, and merged to form a single side-by-side stereo pair.

Input is from stdin, output is to stdout unless a filename is given as an argument to the -png or -tiff options.

EXAMPLES

If the following line would render a single image:

     render -tiff single.tiff < input.r3d

then the following line would render the same scene as a stereo pair instead:

     stereo3d -tiff stereo.tiff < input.r3d

OPTIONS

The options below are specific to stereo3d. All other options, e.g. -labels or -gamma 1.2 are passed through to the render program.

-angsep

By default the stereo effect is generated by a shear operation. The -angsep option creates stereo by using angular separation instead. Neither option is perfect: the default handles shadows badly, and the -angsep option blurs specular highlights.

-border

By default the left and right images are placed next to each other with no intervening space and no frame around them. The -border option requests a 4 pixel wide black border separating and surrounding the component images.

SOURCE

web URL:
     http://www.bmsc.washington.edu/raster3d/raster3d.html

contact:
     Ethan A Merritt
     University of Washington, Seattle WA 98195
     merritt@u.washington.edu

SEE ALSO
normal3d(l), render(l), raster3d(l)

AUTHORS

 Ethan A Merritt.